%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  ctic.cls --- Basic style for CTIC Conference.
%            %
%  PACKAGES REQUIRED:
%
%  - a4wide      
% (see http://www.ctan.org/tex-archive/help/Catalogue/entries/a4wide.html)
%
%%%%%%%%%%%%%%%%%%%%%%%% Identification Part %%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\NeedsTeXFormat{LaTeX2e}[1994/12/01]
%
\ProvidesClass{ctic}[2009]
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%%%%%%%%%%%%%%%%%%%%%%% Execution of Options %%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\LoadClass{article}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ExecuteOptions{normalspace,11pt}
%
\ProcessOptions
%
%
% Inclusion de package
%
\RequirePackage{a4wide}
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%% Special commands %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\renewenvironment{abstract}{%
      \list{}{\advance\topsep by0.35cm\relax\small
      \leftmargin=1cm
      \labelwidth=\z@
      \listparindent=\z@
      \itemindent\listparindent
      \rightmargin\leftmargin}\item[\hskip\labelsep
                                    \bfseries\abstractname]}
    {\endlist}
\def\address#1{\date{\small #1}}
%
%
% Probleme du placement des figures
%
\setcounter{totalnumber}{4}
\renewcommand{\topfraction}{1}
\renewcommand{\bottomfraction}{1}
\renewcommand{\textfraction}{0}
\renewcommand{\floatpagefraction}{0.8}
%
% Paragraphe en fin et debut de page.
%
% Disable single lines at the start of a paragraph 
\clubpenalty = 10000
\widowpenalty = 10000
\displaywidowpenalty = 10000
%
\endinput
%end of file ctic.cls
